'use client';

import { Heading, Text } from '@/components/ui/Typography';
import { useTranslation } from '@/lib/hooks/useTranslation';

interface CartHeaderProps {
  totalQuantity: number;
}

export function CartHeader({ totalQuantity }: CartHeaderProps) {
  const { t } = useTranslation();
  return (
    <div className="my-6 flex items-center justify-between">
      <Heading level={2}>{t('cart.title')}</Heading>
      <div className="bg-gray-100 rounded-md px-4 py-2">
        <Text>{t('cart.itemCount').replace('{count}', totalQuantity.toString())}</Text>
      </div>
    </div>
  );
} 